#ifndef BDREMOTE_H
#define BDREMOTE_H

#include <pthread.h>
#include <bluetooth/bluetooth.h>

#define INT_PORT 19


enum bdremote_state {
	BDREMOTE_NOCONN,
	BDREMOTE_CONN,
	BDREMOTE_ERR
};

enum bdremote_mesg {
	BDREMOTE_BUTTON,
};

typedef void bdremote_mesg_callback_t(enum bdremote_mesg, int, unsigned char *);

struct bdremote {
	enum bdremote_state state;
	int int_socket;
	pthread_t int_thread;
	bdremote_mesg_callback_t *mesg_callback;
};

int bdremote_find(bdaddr_t *bdaddr);
int bdremote_connect(struct bdremote *bdremote, bdaddr_t bdaddr,
                    bdremote_mesg_callback_t *mesg_callback);
int bdremote_disconnect(struct bdremote *bdremote);

#endif
